<template>
  <span class='filter-option'>
      <input type='checkbox' id='beforeDeadline' checked @change='setFilter' />
      <label for='beforeDeadline'>Przed terminem przesłania.</label>
    </span>
  <span class='filter-option'>
      <input type='checkbox' id='afterDeadline' checked @change='setFilter' />
      <label for='afterDeadline'>Po terminie przesłania.</label>
    </span>

</template>

<script setup>
import { ref, defineEmits } from "vue";

const emit = defineEmits(["change-filter"]);

const filters = ref({
  beforeDeadline: true,
  afterDeadline: true,
});

function setFilter(event) {
  const inputId = event.target.id;
  const isActive = event.target.checked;
  const updatedFilters = {
    ...filters.value,
    [inputId]: isActive,
  };
  filters.value = updatedFilters;
  emit('change-filter', updatedFilters);
}
</script>


<style scoped>
.filter-option {
  margin-right: 1rem;
}

.filter-option label,
.filter-option input {
  vertical-align: middle;
}

.filter-option label {
  margin-left: 0.25rem;
}

.filter-option.active label {
  font-weight: bold;
}
</style>
